/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.io;

import java.io.IOException;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface DataReader extends ByteReader, CharReader {
    
    boolean readBool() throws IOException;
    
    int readInt() throws IOException;
    
    short readShort() throws IOException;
    
    long readLong() throws IOException;
    
    float readFloat() throws IOException;
    
    double readDouble() throws IOException;
    
}
